
Foreman - Feature #5241

Add support for external group mapping

04/18/2014 08:30 AM - Jan Pazdziora

Status: Closed   

Priority: Normal   

Assignee: Jan Pazdziora   

Category: Authentication   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

There are currently two features that would like to populate roles/groups based on external identity/authentication providers:

http://projects.theforeman.org/issues/813 for LDAP auth sources

http://projects.theforeman.org/issues/3892 for Apache-based authentication

The two features share the generic need to manage mapping to external group names. This this feature to be able to agree on the

generic solution, for each of the features to then add its protocol/approach specific code.

Related issues:

Blocks Foreman - Feature #813: Support AD group membership for authorization ... Closed 03/31/2011

Blocks Foreman - Feature #3892: When new users are created based on REMOTE_US... Closed 10/28/2013

Blocks Foreman - Feature #5734: Add API for external groups management Closed 05/15/2014

Associated revisions

Revision d5953972 - 04/30/2014 12:21 PM - Jan Pazdziora

fixes #5241 - Add support for external user groups.

History

#1 - 04/18/2014 08:31 AM - Jan Pazdziora

- Blocks Feature #813: Support AD group membership for authorization and authentication added

#2 - 04/18/2014 08:31 AM - Jan Pazdziora

- Blocks Feature #3892: When new users are created based on REMOTE_USER authentication, their roles should be populated as well added

#3 - 04/18/2014 08:38 AM - Jan Pazdziora

Filed https://github.com/theforeman/foreman/pull/1390 now.

#4 - 04/18/2014 03:04 PM - Dominic Cleal

- Category set to Authentication

- Status changed from New to Ready For Testing

- Assignee set to Jan Pazdziora

- Target version set to 1.8.4

#5 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#6 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#7 - 04/24/2014 10:25 AM - Anonymous
- Target version changed from 1.8.4 to 1.8.3

#8 - 04/30/2014 12:25 PM - Dominic Cleal

- translation missing: en.field_release set to 10

#9 - 04/30/2014 12:31 PM - Jan Pazdziora

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d595397218a86e2e3628b82aa409ddb56def100e.

#10 - 06/04/2014 01:44 PM - Dominic Cleal

- Blocks Feature #5734: Add API for external groups management added
